%if !(0%{?fedora} >= 13 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           python-myghty
Version:        1.2
Release:        15%{?dist}
Summary:        Python-based templating system derived from HTML::Mason

Group:          Development/Libraries
License:        MIT
URL:            http://www.myghty.org
Source0:        http://pypi.python.org/packages/source/M/Myghty/Myghty-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
%if 0%{?fedora} <= 12
BuildRequires: python-setuptools-devel
%else
BuildRequires: python2-setuptools
%endif


%global _description\
Myghty is a Python based web and templating framework originally based on\
HTML::Mason, the enterprise-level framework used by Amazon.com, del.icio.us\
and Salon.com, among many others. Myghty fully implements Mason's templating\
language, component-based architecture, and caching system, and goes beyond,\
adding new paradigms such the Module Components controller paradigm, full\
Python whitespace syntax, threading support, WSGI support, session support,\
and much more.

%description %_description

%package -n python2-myghty
Summary: %summary
%{?python_provide:%python_provide python2-myghty}

%description -n python2-myghty %_description

%prep
%setup -q -n Myghty-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root $RPM_BUILD_ROOT
(cd doc ; %{__python} genhtml.py)


%files -n python2-myghty
%defattr(-,root,root,-)
%doc doc/html/* examples LICENSE README
%{python_sitelib}/*


%changelog
* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.2-15
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2-13
- Python 2 binary package renamed to python2-myghty
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 21 2010 Luke Macken <lmacken@redhat.com> - 1.2-1
- Update to 1.2 (#630721)

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jun 25 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.1-11
- Add README file
- Update old way of invoking setup.py
- Fix conditionals for python-setuptools
- Comment what myghty-importer.patch does

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 13 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 1.1-9
- Fix for building with python2.6

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.1-7
- Rebuild for Python 2.6

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.1-6
- fix license tag

* Sat Oct 27 2007 Luke Macken <lmacken@redhat.com> 1.1-5
- Fix broken Source0

* Sun Sep  2 2007 Luke Macken <lmacken@redhat.com> 1.1-4
- Update for python-setuptools changes in rawhide

* Sat Dec  9 2006 Luke Macken <Lmacken@redhat.com> 1.1-2
- Rebuild for python 2.5

* Wed Oct 18 2006 Luke Macken <lmacken@redhat.com> 1.1-1
- 1.1

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> 1.0.2-2
- Rebuild for FC6

* Mon Aug 14 2006 Luke Macken <lmacken@redhat.com> 1.0.2-1
- 1.0.2

* Thu Mar 16 2006 Luke Macken <lmacken@redhat.com> 1.0.1-1
- 1.0.1; build requires python-setuptools

* Wed Jan 04 2006 Luke Macken <lmacken@redhat.com> 1.0-1
- 1.0

* Wed Jan 04 2006 Luke Macken <lmacken@redhat.com> 0.99a-1
- Bump to 0.99a
- Install with --old-and-unmanageable to avoid Python Eggs annoyance

* Wed Oct 05 2005 Luke Macken <lmacken@redhat.com> 0.99-1
- Bump to version 0.99

* Mon Sep 12 2005 Luke Macken <lmacken@redhat.com> 0.98c-1
- Bump to version 0.98c

* Tue Aug 16 2005 Luke Macken <lmacken@redhat.com> 0.98a-1
- Packaged for Fedora Extras
